Index: WAeUP_SRP/trunk/skins/waeup_custom/search_form.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_custom/search_form.pt	(revision 325)
+++ WAeUP_SRP/trunk/skins/waeup_custom/search_form.pt	(revision 325)
@@ -0,0 +1,56 @@
+<html xmlns:tal="http://xml.zope.org/namespaces/tal"
+      xmlns:metal="http://xml.zope.org/namespaces/metal"
+      metal:use-macro="here/main_template/macros/master">
+  <body>
+  <metal:block metal:fill-slot="main">
+  <tal:block define="SearchableText python:request.get('SearchableText','');
+                     sort_by python:request.get('sort_by', '');
+                     direction python:request.get('direction', '');
+                     folder_prefix python:request.get('folder_prefix', '');
+                     items python:here.search(query=request.form,
+                                              sort_by=sort_by,
+                                              direction=direction,
+                                              folder_prefix=folder_prefix);
+                     nav_action string:search_form;
+                     no_form python:1;
+                     site_wide python:1;
+                     items_length python:len(items);
+                     format string:detail;
+                     filter python:0;
+                     title_search request/title_search|nothing;
+                     swr request/search_within_results|nothing;
+                    ">
+    <h1 tal:condition="not:title_search"
+      i18n:translate="heading_search_results">Search Results</h1>
+    <h1 tal:condition="title_search"
+      tal:content="title_search">Title for search results</h1>
+
+    <p tal:condition="python:items_length == 0">
+      <tal:block i18n:translate="legend_no_search_result">
+        Your query gave no result.
+      </tal:block>
+      <tal:block i18n:translate="legend_search_for">
+        You searched for
+      </tal:block>
+      <span class="searchFor" tal:content="SearchableText">SearchableText</span>.
+    </p>
+    <p tal:condition="python:items_length == 1"
+       i18n:translate="legend_one_search_result">
+      Your query gave 1 result.
+    </p>
+    <p tal:condition="python:items_length > 1"
+       i18n:translate="">
+      Your query gave <span class="emphasis"
+                            tal:content="items_length"
+                            i18n:name="nb_results">n</span> results.
+    </p>
+    <div id="searchResults"
+      tal:define="items_per_page python:20;">
+      <metal:block use-macro="here/content_lib_display_contents/macros/display_contents" />
+    </div>
+
+  </tal:block>
+
+  </metal:block>
+  </body>
+</html>
Index: WAeUP_SRP/trunk/skins/waeup_custom/widget_portlet_search.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_custom/widget_portlet_search.pt	(revision 325)
+++ WAeUP_SRP/trunk/skins/waeup_custom/widget_portlet_search.pt	(revision 325)
@@ -0,0 +1,55 @@
+<form tal:define="ds options/datastructure;
+                  advanced_search_link ds/advanced_search_link;
+                  contextual_search_choice ds/contextual_search_choice;
+                  context_is_portlet ds/context_is_portlet;
+                  utool nocall:here/portal_url;
+                  params here/getSearchFormParams;
+                  search_script params/script;
+                  context nocall:options/context_obj;
+                  contextual_search params/contextual;
+                  advanced_search_form params/advanced;
+                  folder_prefix request/folder_prefix|nothing;
+                  cpsmcat nocall:here/translation_service;
+                  value_search
+                    request/SearchableText|python:cpsmcat('button_search');
+                  base_url python:request.get('cpsskins_base_url');"
+ method="get" action=""
+ tal:attributes="action search_script"
+ onsubmit="return checkEmptySearch(this)">
+  <div tal:condition="python:contextual_search_choice and contextual_search"
+   tal:define="id here/getId; id1 string:${id}1; id2 string:${id}2">
+    <tal:block condition="not:context_is_portlet">
+      <label tal:attributes="for id1"
+       i18n:translate="label_search_here">here</label>
+      <input type="radio" name="folder_prefix"
+       tal:attributes="id id1; checked folder_prefix;
+       value python:utool.getRelativeUrl(context)" />
+      <label tal:attributes="for id2"
+       i18n:translate="label_search_all_site">here</label>
+      <input type="radio" name="folder_prefix" value=""
+       tal:attributes="id id2; checked not:folder_prefix" />
+    </tal:block>
+    <tal:block condition="context_is_portlet">
+      <p tal:define="portlet_folder here/getLocalFolder">
+        <input type="hidden" name="folder_prefix"
+         tal:attributes="value python:utool.getRelativeUrl(portlet_folder)" />
+        <tal:block i18n:translate="">cpsportlets_search_in</tal:block>
+        <em tal:content="portlet_folder/title_or_id" />
+      </p>
+    </tal:block>
+  </div>
+  <div>
+  <input id="searchGadget" type="text" name="SearchableText" size="15"
+    value="" tal:attributes="value value_search"
+    onclick="this.value='';"/>
+  <input class="context searchButton" type="submit" value="button_ok"
+    i18n:attributes="value" />
+  </div>
+  <div>
+    <a href="" tal:condition="advanced_search_link"
+    tal:define="adv_url python:contextual_search and
+                               context.absolute_url() or utool()"
+    i18n:translate="cpsportlets_advanced_search"
+    tal:attributes="href string:${adv_url}/${advanced_search_form}">Advanced search</a>
+  </div>
+</form>
